html.mainmenu-open,
body.mainmenu-open {
    overflow: hidden;
    height: 100%;
}

/***
 * Skip Links
 ****/
.skip:focus,
.skip:active {
    position: static;
    top: 0;
    left: 0
}

.skiplinks {
    position: absolute;
    top: 0;
    left: -32768px;
    z-index: 1000;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style-type: none
}

.skiplinks .skip:focus,
.skiplinks .skip:active {
    left: 32768px;
    outline: 0 none;
    position: absolute;
    width: 100%;
}

.skiplinks a.skip:focus,
.skiplinks a.skip:active {
    color: #fff;
    background: #333;
    border-bottom: 1px #000 solid;
    padding: 10px 0;
    text-align: center;
    text-decoration: none;
}


#header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10;

}



.header-wrapper {
    max-width: var(--header-maxwidth);
    padding-left: calc(2 * var(--defaultunit));
    padding-right: calc(2 * var(--defaultunit));
    margin: 0 auto;
}

.header-wrapper::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: var(--header-topbar);
    background-color: var(--color-yellow);
}


.header-top-bar {
    height: var(--header-topbar);
    background-color: var(--color-yellow);
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
}



#header ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.header-top-bar > ul {
    display: flex;
}

.header-top-bar > ul > li {
    display: inline-block;
    color: var(--color-black);
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
    display: flex;
    position: relative;
}

.header-top-bar > ul > li::after {
    content: '|';
}

.header-top-bar > ul > li:last-child::after {
    content: '';
}

.header-top-bar > ul > li > a {
    color: inherit;
    text-decoration: none;
    margin: 0 5px;
}

.header-top-bar > ul > li.current > a,
.header-top-bar > ul > li a:hover {
    text-decoration: underline;
}


#header .header-top-bar > ul > li > ul {
    display: none;
    position: absolute;
    z-index: 1;
    top:calc(100% - 1px);
    left:0;
    background-color: var(--color-white);
    padding:5px 20px 5px 5px;
}

#header .header-top-bar > ul > li:hover > ul {
    display: block;
}

.header-top-bar > ul ul li {
    white-space: nowrap;
    display: inline-block;
    color: var(--color-black);
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
    display: flex;
    position: relative;    
}

.header-top-bar > ul ul li a {
    display: inline-block;
    text-decoration: none;
    background: url(../Icons/menu-caret-right-black.svg) calc(100% - 5px) center no-repeat;
    background-size: auto 12px;
    padding-right: 20px;
    transition: background-position 0.2s ease;
}

.header-top-bar > ul ul li a:hover {
    background: url(../Icons/menu-caret-right-black.svg) calc(100%) center no-repeat;
    background-size: auto 12px;
    transition: background-position 0.2s ease;
}

.header-main-area-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    padding-top: 16px;
    padding-bottom: 0;
}

.header-logo {
    flex: 0 0 210px;
    margin-bottom: 16px;
}

.header-logo img {
    display: block;
}

.hook {
    position: absolute;
    top: 11px;
    transform: translateX(116px);
    transition: transform 0.4s ease;
}


html.searchopen .hook {
    transform: translateX(309px);
    transition: transform 0.4s ease;
}

@media screen and (max-width: 1500px) {
    html.searchopen .hook {
        transform: translateX(360px);
    }
}



@media screen and (max-width: 768px) {
    .header-logo {
        flex: 0 0 199px;
    }

    .hook {
        transform: translateX(110px);
    }

    html.searchopen .hook {
        transform: translateX(110px);
    }


}

@media screen and (max-width: 500px) {
    .header-logo {
        flex: 0 0 110px;
    }

    .hook {
        top: 9px;
        transform: translateX(60px);
    }

    html.searchopen .hook {
        transform: translateX(60px);
    }
}





#header.mode2 .header-logo,
#header.mode2 .mainnavigation-level1-button img {
    filter: brightness(0) saturate(100%);
}

#header.mode2 #mainnavigation>ul>li>a,
#header.mode2 #mainnavigation>ul>li>button {
    color: var(--color-black)
}

#header.mode2 {
    box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.08);
    background-color: rgba(255, 255, 255, 0.45);
    backdrop-filter: blur(12px);
}

#header.mode2 #mainnavigation>ul>li>a>img {
    filter: brightness(0);
}



.header-mainmenu {
    display: flex;
    align-items: flex-end;
}

.mainmenuopener {
    display: none;
}

#mainnavigation>ul>li {
    display: inline-block;
    padding-bottom: 16px;
}

#mainnavigation>ul>li>button,
#mainnavigation>ul>li>a {
    margin: 0;
    padding: 0;
    border: 0;
    appearance: none;
    background-color: transparent;
    text-align: left;
    font-family: Verdana, Geneva, Tahoma, DejaVu Sans, sans-serif;
    cursor: pointer;
    display: flex;
    gap: 5px;
}

#mainnavigation>ul>li>a,
#mainnavigation>ul>li>button {
    color: inherit;
    text-decoration: none;
    color: var(--color-white);
    font-size: 16px;
    font-weight: 700;
    margin-left: 22px;
    position: relative;
    line-height: 1.4em;
    padding-top: 14px;
    ;
}

#mainnavigation>ul>li>a::before,
#mainnavigation>ul>li>button::before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: calc(var(--decoline-height) * 0.75);
    background-color: var(--color-yellow);
    transition: opacity 0.2s ease-in-out;
    opacity: 0;
}

#mainnavigation>ul>li.current>a::before,
#mainnavigation>ul>li.current>button::before,
#mainnavigation>ul>li>a:hover::before,
#mainnavigation>ul>li>button:hover::before {
    opacity: 1;
}

#mainnavigation>ul>li>button>img {
    transition: transform 0.1s ease-in-out;
}


#mainnavigation>ul>li>a+div.mainnavigation-submenu-area,
#mainnavigation>ul>li>button+div.mainnavigation-submenu-area {
    display: none;
}

@media (hover: hover) {

    #mainnavigation>ul>li:hover>button+div.mainnavigation-submenu-area,
    #mainnavigation>ul>li:hover>a+div.mainnavigation-submenu-area {
        /*#mainnavigation>ul>li>button[aria-expanded="true"]+div.mainnavigation-submenu-area*/
        display: block;
    }

}

#mainnavigation li.submenu-open>a+.mainnavigation-submenu-area {
    display: block;
}


#mainnavigation>ul>li:hover>a>img,
#mainnavigation>ul>li>button[aria-expanded="true"]:hover>img {
    transform: rotate(180deg);
}


div.mainnavigation-submenu-area {
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
    background: var(--color-white);
    box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.08);    
}

@media (max-width: 1500px) {
    div.mainnavigation-submenu-area {
        box-shadow: none;
    }
}

.mainnavigation-submenu-area-menuarea-wrapper {
    max-width: var(--header-maxwidth);
    padding-left: calc(2 * var(--defaultunit));
    padding-right: calc(2 * var(--defaultunit));
    margin: 0 auto;
    margin: var(--defaultunit) auto;
}

/* Submenü-Grid */
.mainnavigation-submenu {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0;
    padding: 0;
    margin: 0;
    list-style: none;
}

.mainnavigation-submenu>li {
    color: var(--color-black)
}

.mainnavigation-submenu>li.hasimage {
    color: var(--color-white)
}

/* Quadratische Kacheln */
.mainnavigation-submenu>li {
    display: flex;
    flex-direction: column;
    text-decoration: none;
    position: relative;
    transition: transform 0.2s ease-in-out;
}

.mainnavigation-submenu>li img {
    transition: transform 0.2s ease-in-out;
}

.mainnavigation-submenu>li:hover img {
    transition: transform 0.2s ease-in-out;
    transform: scale(1.2);
}

.mainnavigation-submenu>li img {
    display: block;
    width: 100%;
}

.mainnavigation-submenu-linkwrapper {
    position: absolute;
    top: 0;
    left: 0;
    padding: var(--defaultunit);
    z-index: 2;
}


.mainnavigation-submenu-linkwrapper>a {
    color: inherit;
    font-size: 22px;
    font-weight: 700;
    display: inline-block;
    margin-bottom: 23px;
    text-decoration: none;
    padding-right: 20px;
    background: url(../Icons/menu-caret-right-black.svg) right center no-repeat;
    background-size: auto 16px;
    position: relative;
    transition: padding-right 0.2s ease-in-out;
}

.mainnavigation-submenu li.hasimage .mainnavigation-submenu-linkwrapper>a {
    background: url(../Icons/menu-caret-right.svg) right center no-repeat;
    background-size: auto 16px;
}

.mainnavigation-submenu-linkwrapper>a::after {
    content: '';
    position: absolute;
    left: 0;
    width: 0;
    bottom: -1px;
    height: 1px;
    background-color: var(--color-black);
    transition: width 0.2s ease-in-out;
}

.mainnavigation-submenu li.hasimage .mainnavigation-submenu-linkwrapper>a::after {
    background-color: var(--color-yellow);
}

.mainnavigation-submenu>li.current .mainnavigation-submenu-linkwrapper>a,
.mainnavigation-submenu-linkwrapper>a:hover {
    transition: padding-right 0.2s ease-in-out;
    padding-right: 25px;
}

.mainnavigation-submenu>li.current .mainnavigation-submenu-linkwrapper>a::after,
.mainnavigation-submenu-linkwrapper>a:hover::after {
    transition: width 0.2s ease-in-out;
    width: 100% !important;
}




#mainnavigation .mainnavigation-submenu>li>ul>li {
    display: block;
}


.mainnavigation-submenu-linkwrapper ul>li>a {
    color: inherit;
    font-size: 15px;
    font-weight: 700;
    letter-spacing: 0.15px;
    display: inline-block;
    margin-bottom: 16px;
    text-decoration: none;
    padding-right: 35px;
    background: url(../Icons/menu-arrow-right-black.svg) right center no-repeat;
    background-size: auto 16px;
    position: relative;
    transition: padding-right 0.2s ease-in-out;
}



@media (max-width: 1800px) {
    .mainnavigation-submenu-linkwrapper ul>li>a {
        margin-bottom: 10px;
    }
}

@media (max-width: 1730px) {
    .mainnavigation-submenu-linkwrapper {
        padding: calc(0.75 * var(--defaultunit));
    }    
    .mainnavigation-submenu-linkwrapper ul>li>a {
        margin-bottom: 9px;
    }
}


.mainnavigation-submenu li.hasimage .mainnavigation-submenu-linkwrapper ul>li>a {
    background: url(../Icons/menu-arrow-right.svg) right center no-repeat;
    background-size: auto 16px;
}

.mainnavigation-submenu-linkwrapper ul>li.current>a,
.mainnavigation-submenu-linkwrapper ul>li>a:hover {
    padding-right: 40px;
}

.mainnavigation-submenu-linkwrapper ul>li>a::after {
    content: '';
    position: absolute;
    left: 0;
    width: 0;
    bottom: -1px;
    height: 1px;
    background-color: var(--color-black);
    transition: width 0.2s ease-in-out;
}

.mainnavigation-submenu li.hasimage .mainnavigation-submenu-linkwrapper ul>li>a::after {
    background-color: var(--color-yellow);
}

.mainnavigation-submenu-linkwrapper ul>li.current>a::after,
.mainnavigation-submenu-linkwrapper ul>li>a:hover::after {
    transition: width 0.2s ease-in-out;
    width: 100%;
}


/* Unter 1100px: 3 Spalten */
@media (max-width: 1600px) {
    .mainnavigation-submenu {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Unter 768px: 2 Spalten */
@media (max-width: 1000px) {
    .mainnavigation-submenu {
        grid-template-columns: repeat(2, 1fr);
    }
}

.mainnavigation-submenu-imagewrapper {
    overflow: hidden;
    position: relative;
}




.mainnavigation-submenu>li.hasimage .mainnavigation-submenu-imagewrapper::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 1;
    transition: background-color 0.2s ease-in-out;
}

.mainnavigation-submenu>li.hasimage .mainnavigation-submenu-imagewrapper:hover::before {
    background-color: rgba(0, 0, 0, 0.5);
    transition: background-color 0.2s ease-in-out;
}

#mainmenuopener {
    display: none;
}

.label-additionmanuitem {
    display: none;
}

/* start mobile mainnav */
@media (max-width: 1500px) {

    .header-wrapper {
        padding-left: calc(1 * var(--defaultunit));
        padding-right: calc(1 * var(--defaultunit));
    }

    .header-mainmenu {
        align-items: flex-start;
    }

    #mainmenuopener {
        appearance: none;
        border: 0;
        margin: 0;
        padding: 0;
        text-align: left;
        background-color: transparent;
        position: relative;
        display: block;
    }

    #mainmenuopener .opener {
        width: 2.5rem;
        height: 2rem;
        display: block;
        cursor: pointer;
        z-index: 2;
        display: flex;
        flex-flow: column nowrap;
        justify-content: space-between;
        box-sizing: border-box
    }

    #mainmenuopener .opener .row {
        width: 100%;
        display: block;
        height: 0.4rem;
        margin: 0;
        overflow: hidden;
        transition: all 0.2s;
        background: var(--color-white);
    }

    #header.mode2 #mainmenuopener .opener .row {
        background: var(--color-black);
    }

    #mainmenuopener .opener .row:last-child {
        margin-bottom: 0;
        width: 65%;
    }

    body.mainmenu-open #mainmenuopener .opener .row {
        display: none
    }

    body.mainmenu-open #mainmenuopener .opener .row:first-child {
        display: block;
        top: calc(50% - 0.125rem);
        left: 0%;
        margin: 0;
        position: absolute;
        transform: rotate(45deg)
    }

    body.mainmenu-open #mainmenuopener .opener .row:last-child {
        display: block;
        top: calc(50% - 0.125rem);
        left: 0%;
        margin: 0;
        position: absolute;
        transform: rotate(-45deg);
        width: 100%;
    }


    #mainnavigation {
        position: absolute;
        top: var(--header-height);
        max-height: calc(100dvh - var(--header-height));
        overflow: auto;
        background: var(--color-white);
        right: 0;
        left: 0;
        display: none;
    }

    #mainmenuopener[aria-expanded="true"]+#mainnavigation {
        display: block;
    }

    #header #mainnavigation>ul>li>a,
    #header #mainnavigation>ul>li>button {
        color: var(--color-black);
    }

    #mainnavigation>ul>li {
        display: block;
    }

    #mainnavigation>ul>li>a,
    #mainnavigation>ul>li>button {
        margin-left: var(--defaultunit);
        display: inline-flex;
    }

    #mainnavigation>ul>li>a>img {
        filter: brightness(0);
    }

    div.mainnavigation-submenu-area {
        position: static;
    }

    .mainnavigation-submenu-area-menuarea-wrapper {
        padding-left: calc(1 * var(--defaultunit));
        padding-right: calc(1 * var(--defaultunit));
        margin-top: calc(0.5 * var(--defaultunit));
        margin-bottom: -16px;
    }

    .label-additionmanuitem {
        display: block;
        margin-left: var(--defaultunit);
        margin-bottom: calc(0.5 * var(--defaultunit));

    }

    .label-additionmanuitem a {
        color: inherit;
        font-size: 16px;
        font-weight: bold;
        text-decoration: none;
        background: url(../Icons/menu-caret-right-black.svg) right center no-repeat;
        background-size: auto 14px;
        padding-right: 20px;
    }

    .mainnavigation-submenu-linkwrapper ul>li>a {
        margin-bottom: 12px;
    }
}


/* start mobile mainnav */
@media (max-width: 767px) {

    .label-additionmanuitem {
        margin-left: 0;
    }

    .mainnavigation-submenu {
        display: block;
    }

    .mainnavigation-submenu>li.hasimage .mainnavigation-submenu-imagewrapper::before,
    .mainnavigation-submenu>li .mainnavigation-submenu-imagewrapper::before {
        display: none;
    }

    .mainnavigation-submenu>li img {
        display: none;
    }

    div.mainnavigation-submenu-area {
        box-shadow: none;
    }

    .mainnavigation-submenu-linkwrapper {
        position: static;
        color: var(--color-black);
        padding: 0;
    }

    .mainnavigation-submenu li.hasimage .mainnavigation-submenu-linkwrapper>a::after,
    .mainnavigation-submenu li .mainnavigation-submenu-linkwrapper>a::after {
        background-color: transparent;
    }

    .mainnavigation-submenu li.hasimage .mainnavigation-submenu-linkwrapper>a,
    .mainnavigation-submenu li .mainnavigation-submenu-linkwrapper>a {
        background: url(../Icons/menu-caret-right-black.svg) left center no-repeat;
        background-size: auto 14px;
        margin-bottom: 16px;
        padding-left: 15px;
    }

    .mainnavigation-submenu-linkwrapper>a {
        font-size: 16px;
        background: url(../Icons/menu-caret-right-black.svg) right center no-repeat;
        background-size: auto 14px;
    }

    #header .mainnavigation-submenu-linkwrapper ul {
        margin-left: var(--defaultunit);
    }

    #header .mainnavigation-submenu-linkwrapper ul li a {
        font-weight: normal;
        background: url(../Icons/menu-caret-right-black.svg) left center no-repeat;
        background-size: auto 14px;
        padding-left: 15px;

    }

    .label-additionmanuitem a {
        background: url(../Icons/menu-caret-right-black.svg) left center no-repeat;
        background-size: auto 14px;
        padding-left: 20px;
    }

    .header-top-bar {
        display: none;
    }

    .header-wrapper::before {
        display: none;
    }

    .hook {
        display: none;
    }

}

@media (max-width: 500px) {
    #mainmenuopener .opener {
        height: 1.5rem;
        width: 2.5rem;
    }

    #mainmenuopener .opener .row {
        height: 0.3rem;
    }
}















/* end mobile mainnav */




aside#sidebar {
    position: fixed;
    right: 20px;
    top: 0;
    bottom: 0;
    display: flex;
    pointer-events: none;
    align-items: center;
    min-height: 200px;
    z-index: 2;
}

#sidebar nav {
    pointer-events: all;
}

#sidebar nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

#sidebar nav li {
    margin-bottom: 20px;
}

#sidebar nav li:nth-child(2) {
    padding-bottom: 20px;
    border-bottom: 1px solid var(--color-yellow);
}

#sidebar nav a {
    display: block;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.1s ease;
}

#sidebar nav a img {
    width: auto;
    height: 21px;
    transition: filter 0.1s ease;
}


#sidebar nav a:hover {
    background-color: var(--color-black);
}

#sidebar nav a:hover img {
    filter: brightness(0) saturate(100%) invert(80%) sepia(54%) saturate(761%) hue-rotate(357deg) brightness(102%) contrast(105%);
}


@media screen and (max-width: 768px) {

    aside#sidebar {
        right: 0;
        top: 0;
        left: 0;
        bottom: initial;
        align-items: flex-end;
        min-height: initial;
        height: 100dvh;
    }

    #sidebar nav {
        width: 100vw;
    }

    #sidebar nav ul {
        display: flex;
        margin-bottom: 0;
        justify-content: center;
    }

    #sidebar nav ul li {
        margin-bottom: 0;
    }

    #sidebar nav a {
        border-radius: 0;
    }

    #sidebar nav li:nth-child(2) {
        padding-bottom: 0;
        border-bottom: none;
    }
}







#searcharea {
    position: absolute;
    bottom: 16px;
    right: 0;
    max-width: var(--header-maxwidth);
    padding-left: calc(2 * var(--defaultunit));
    padding-right: calc(2 * var(--defaultunit));
    margin: 0 auto;
    left: 0;
    pointer-events: none;
}

#searcharea[hidden] {
    display: block;
    opacity: 0;
    transform: translateY(-10px);
    pointer-events: none;
}

#searcharea form {
    margin-left: 300px;
    background-color: var(--color-white);
    height: 45px;
    padding: 7px 10px;
    box-sizing: border-box;
}

html.searchopen #searcharea form {
    pointer-events: all;
}

#searcharea form input[type=text] {
    display: block;
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    padding: 0;
    border-bottom: 1px solid var(--color-black);
    font-weight: 700;
    font-size: 16px;
}

#searcharea form input[type=text]::placeholder,
#searcharea form input[type=text]::-webkit-input-placeholder,
#searcharea form input[type=text]::-moz-placeholder,
#searcharea form input[type=text]:-ms-input-placeholder {
    color: var(--color-black) !important;
    font-size: 16px;
    font-weight: 700;
    opacity: 1 !important;
}

.search-toggle {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: none;
    border: 0;
    cursor: pointer;
    margin: 0 0 0 10px;
    padding: 0;
    appearance: none;
    text-align: left;
}

.search-toggle .icon {
    position: absolute;
    transition: opacity 200ms ease, transform 200ms ease;
    width: 13px;
    height: 13px;
}

.search-toggle .icon-search {
    opacity: 1;
    transform: rotate(0deg);
}

.search-toggle .icon-close {
    opacity: 0;
    transform: rotate(-90deg);
}

.search-toggle.is-active .icon-search {
    opacity: 0;
    transform: rotate(90deg);
}

.search-toggle.is-active .icon-close {
    opacity: 1;
    transform: rotate(0deg);
}

.header-mainmenu .search-toggle {
    width: 3rem;
    height: 2.5rem;
    margin-right: 10px;
    display: none;
}

.header-mainmenu .search-toggle .icon {
    width: 3rem;
    height: 2.5rem;
}

.header-mainmenu .search-toggle .icon img {
    width: 100%;
    height: 100%;
}

.header-mainmenu .search-toggle .icon.icon-close img {
    filter: invert(100%);
}
#header.mode2 .header-mainmenu .search-toggle .icon.icon-close img {
    filter: invert(0);
}
#header.mode2 .header-mainmenu .search-toggle .icon.icon-search img {
    filter: invert(100%);
}
/* Optional: Suchbereich Animation */
#searcharea {
    transition: opacity 200ms ease, transform 200ms ease;
}

@media screen and (max-width: 1500px) {
    #searcharea {
        padding-right: calc(3 * var(--defaultunit));
    }
}

@media screen and (max-width: 768px) {
    #searcharea {
        bottom: initial;
        padding-left: calc(1 * var(--defaultunit));
        padding-right: calc(1 * var(--defaultunit));
    }

    #searcharea form {
        margin-left: 0;
    }

    .header-mainmenu .search-toggle {
        display: inline-flex;
    }
}

@media screen and (max-width: 500px) {
    .header-mainmenu .search-toggle {
        width: 2rem;
        height: 1.5rem;
    }

    .header-mainmenu .search-toggle .icon {
        width: 2rem;
        height: 1.5rem;
    }
}

.mobiletopnav {
    display: none;
}
@media screen and (max-width: 768px) {
    #header .mobiletopnav {
        display: block;
        background-color: var(--color-yellow);
        padding-top: 15px ;
        padding-bottom: 15px;
    }

    #header .mobiletopnav div.mainnavigation-submenu-area {
	    background: var(--color-yellow);
    }

    #header .mobiletopnav div.mainnavigation-submenu-area ul ul {
        margin-top: 5px;
    }
}